unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Chart1: TChart;
    Series1: TLineSeries;
    Button3: TButton;
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Chart1AfterDraw(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var x:integer;
begin
  Series1.Clear;
  for x:=-5 to 4 do Series1.Addxy(x,x*x-10 );
    with Chart1 do
    begin
      LeftAxis.Visible:=false; //wyłączenie osi standardowych
      BottomAxis.Visible:=false;
      //tu moga byc dodane zostaną instrukcje do skalowania osi – b)
     end;
    Chart1.Visible:=true;
end;

procedure TForm1.Button2Click(Sender: TObject);
var x,y:integer;
begin
   with Chart1 do
   begin
      //obliczenie nowego położenia osi wartości i rysowanie, należy obliczyć
      //x- punkt
      //{przecięcia osi Y z osią X
      x:=BottomAxis.CalcXPosValue(0);
      LeftAxis.CustomDraw(x-10,x-40,x,true);
      //obliczenie nowego położenia osi argumentów i rysowanie
      y:=LeftAxis.CalcYPosValue(0);
      BottomAxis.CustomDraw(y,y+40,y,true);
  end;
  //wyświetlenie siatki
  Chart1.BottomAxis.Grid.Visible:=true;
  Chart1.LeftAxis.Grid.Visible:=true;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  with Chart1 do
    begin
      LeftAxis.Automatic:=false; //wyłączenie skalowania automatycznego
      LeftAxis.Minimum:=-20;     // minimalna wartość na osi Y
      LeftAxis.Maximum:=25;      // maksymalna wartość na osi Y
    end;
end;

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var x,y:integer;
begin
   with Chart1 do
   begin
      //obliczenie nowego położenia osi wartości i rysowanie, należy obliczyć
      //x- punkt przecięcia osi Y z osią X
      x:=BottomAxis.CalcXPosValue(0);
      LeftAxis.CustomDraw(x-10,x-40,x,true);
      //obliczenie nowego położenia osi argumentów i rysowanie
      y:=LeftAxis.CalcYPosValue(0);
      BottomAxis.CustomDraw(y,y+40,y,true);
  end;
  //wyświetlenie siatki
  Chart1.BottomAxis.Grid.Visible:=true;
  Chart1.LeftAxis.Grid.Visible:=true;
end;

end.
